Bug 13826 - OPAC: Display RSS icon on list of recent comments
Summary: OPAC: Display RSS icon on list of recent comments
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-12 06:48 UTC by Marc Véron
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13826 - OPAC: Display RSS icon on list of recent comments (1.79 KB, patch)
2015-03-12 07:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13826 - OPAC: Display RSS icon on list of recent comments (1.91 KB, patch)
2015-03-12 18:57 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[Signed-off] Bug 13826 - OPAC: Display RSS icon on list of recent comments (2.07 KB, patch)
2015-03-12 19:09 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13826 - OPAC: Display RSS icon on list of recent comments (2.02 KB, patch)
2015-03-13 12:36 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-03-12 06:48:03 UTC
'Recent comments' supports RSS, but does not display an RSS icon on the page (similar to search results page).

To reproduce:

1)
Enable display of 'Recent comments' in OPAC (Syspref OpacShowRecentComments)
2)
In OPAC, go to Home > Recent comments
3)
Verify that there is a link in the head part of the HTML source code (<link rel="alternate" type="application/rss+xml"....), but no RSS icon on the pate itself (like in search results).
Comment 1 Marc Véron 2015-03-12 07:09:34 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2015-03-12 18:57:09 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-03-12 19:09:08 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-03-13 12:36:17 UTC
Created attachment 36849 [details] [review]
[PASSED QA] Bug 13826 - OPAC: Display RSS icon on list of recent comments

This patch adds RSS icon to OPAC page 'Recent comments'

To test:
1)
Enable display of 'Recent comments' in OPAC (Syspref OpacShowRecentComments)
2)
In OPAC, go to Home > Recent comments
3)
Verify that there is a link in the head part of the HTML source code (<link rel="alternate" type="application/rss+xml"....), but no RSS icon on the pate itself (like in search results).
4)
Apply patch
Result: Icon with link to RSS feed is displayed  next to title.

Bug 13826 - Follow-Up: Close </h3>

There was a slash missing.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by for the Follow Up: Marc Veron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-03-19 18:04:30 UTC
Patch pushed to master.

Thanks Marc!
Comment 6 Chris Cormack 2015-03-27 23:57:08 UTC
Pushed to 3.18.x will be in 3.18.6